All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface DeployedComponent

All Superinterfaces:
  CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root, SoftwareComponent

All Known Subinterfaces:
  ConfiguredComponent, LogicalServer, ServerComponent, ServerContext, ServiceComponent

    public interface DeployedComponent

extends SoftwareComponent

An abstract metadata type that represents installed software. This software might or might not be licensed as indicated by the IsLicensed attribute. When creating metadata, use the subtype that best represents the software that you want to describe. ConfiguredComponent represents software that is configured to run, such as Java components or customizers. ServiceComponent represents software that acts as a service. ServerComponent represents servers and spawners. LogicalServer represents a grouping of homogeneous servers for the purpose of load balancing or pooling.

Attributes of DeployedComponent are:

- `IsLicensed`
- `InstallationLocation`

Associations of DeployedComponent are:

- `AssociatedMachine`
- `DescriptiveComponent`
- `ServiceTypes`
- `SourceConnections`
- `UsedByComponents`
- `ComputeTasks`
- `DataPackages`
- `InitProcesses`
- `Licenses`
- `NamedServices`
- `ProviderConnections`
- `RegisteredEvents`
- `ServiceNames`
- `UsingComponents`

## Usage

To create an instance of this DeployedComponent, use the `factory` create methods.
Example: create a DeployedComponent with name "DeployedComponent_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     DeployedComponent myObject = (DeployedComponent) factory.createComplexMetadataObject(objectStore, "DeployedComponent_Object", MetadataObjects.DEPLOYEDCOMPONENT, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_ASSOCIATEDMACHINE_NAME` Constant used for the name of the AssociatedMachine association.
`static java.lang.String` | `ASSOCIATION_COMPUTETASKS_NAME` Constant used for the name of the ComputeTasks association.
`static java.lang.String` | `ASSOCIATION_DATAPACKAGES_NAME` Constant used for the name of the DataPackages association.
`static java.lang.String` | `ASSOCIATION_DESCRIPTIVECOMPONENT_NAME` Constant used for the name of the DescriptiveComponent association.
`static java.lang.String` | `ASSOCIATION_INITPROCESSES_NAME` Constant used for the name of the InitProcesses association.
`static java.lang.String` | `ASSOCIATION_LICENSES_NAME` Constant used for the name of the Licenses association.
`static java.lang.String` | `ASSOCIATION_NAMEDSERVICES_NAME` Constant used for the name of the NamedServices association.
`static java.lang.String` | `ASSOCIATION_PROVIDERCONNECTIONS_NAME` Constant used for the name of the ProviderConnections association.
`static java.lang.String` | `ASSOCIATION_REGISTEREDEVENTS_NAME` Constant used for the name of the RegisteredEvents association.
`static java.lang.String` | `ASSOCIATION_SERVICENAMES_NAME` Constant used for the name of the ServiceNames association.
`static java.lang.String` | `ASSOCIATION_SERVICETYPES_NAME` Constant used for the name of the ServiceTypes association.
`static java.lang.String` | `ASSOCIATION_SOURCECONNECTIONS_NAME` Constant used for the name of the SourceConnections association.
`static java.lang.String` | `ASSOCIATION_USEDBYCOMPONENTS_NAME` Constant used for the name of the UsedByComponents association.
`static java.lang.String` | `ASSOCIATION_USINGCOMPONENTS_NAME` Constant used for the name of the UsingComponents association.
`static java.lang.String` | `ATTRIBUTE_INSTALLATIONLOCATION_NAME` Constant used for the name of the InstallationLocation attribute.
`static java.lang.String` | `ATTRIBUTE_ISLICENSED_NAME` Constant used for the name of the IsLicensed attribute.

Fields inherited from interface com.sas.metadata.remote.SoftwareComponent
`ASSOCIATION_CUSTOMIZEDPROPERTIES_NAME, ASSOCIATION_CUSTOMIZEDTRANSFORMATIONS_NAME, ASSOCIATION_CUSTOMIZEDTYPES_NAME, ASSOCIATION_DEPENDENTCOMPONENTS_NAME, ASSOCIATION_DEPENDSONCOMPONENTS_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_EDITEDPROPERTIES_NAME, ASSOCIATION_EDITEDTYPES_NAME, ASSOCIATION_IMPLEMENTEDOBJECTS_NAME, ASSOCIATION_PROPERTYGROUPS_NAME, ASSOCIATION_SOFTWAREGROUPS_NAME, ASSOCIATION_SOFTWARETREES_NAME, ASSOCIATION_VALIDATEDPROPERTIES_NAME, ASSOCIATION_VALIDATEDTYPES_NAME, ATTRIBUTE_CLASSIDENTIFIER_NAME, ATTRIBUTE_CONFIGUREVERSION_NAME, ATTRIBUTE_MAJOR_NAME, ATTRIBUTE_MINOR_NAME, ATTRIBUTE_PLATFORM_NAME, ATTRIBUTE_PRODUCTIDENTIFIER_NAME, ATTRIBUTE_PRODUCTNAME_NAME, ATTRIBUTE_SOFTWAREVERSION_NAME, ATTRIBUTE_SPECVENDOR_NAME, ATTRIBUTE_SPECVERSION_NAME, ATTRIBUTE_VENDOR_NAME, ATTRIBUTE_VENDORIDENTIFIER_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract Machine` | `getAssociatedMachine()` Gets the `Machine` for `AssociatedMachine`
`abstract AssociationList` | `getAssociatedMachines()` Gets the AssociationList of `AssociatedMachines`
`abstract AssociationList` | `getAssociatedMachines(boolean fGoToServer)` Gets the Associationlist of `AssociatedMachines`
`abstract AssociationList` | `getComputeTasks()` Gets the Association list of `ComputeTasks`
`abstract AssociationList` | `getComputeTasks(boolean fGoToServer)` Gets the Associationlist of `ComputeTasks`
`abstract AssociationList` | `getDataPackages()` Gets the Association list of `DataPackages`
`abstract AssociationList` | `getDataPackages(boolean fGoToServer)` Gets the Associationlist of `DataPackages`
`abstract SoftwareComponent` | `getDescriptiveComponent()` Gets the `SoftwareComponent` for `DescriptiveComponent`
`abstract AssociationList` | `getDescriptiveComponents()` Gets the AssociationList of `DescriptiveComponents`
`abstract AssociationList` | `getDescriptiveComponents(boolean fGoToServer)` Gets the Associationlist of `DescriptiveComponents`
`abstract AssociationList` | `getInitProcesses()` Gets the Association list of `InitProcesses`
`abstract AssociationList` | `getInitProcesses(boolean fGoToServer)` Gets the Associationlist of `InitProcesses`
`abstract java.lang.String` | `getInstallationLocation()` Gets the `String` value of `InstallationLocation`
`abstract int` | `getInstallationLocationMaxLength()` Gets the maximum length of `InstallationLocation`
`abstract int` | `getInstallationLocationState()` Gets the Metadata State of `InstallationLocation`
`abstract int` | `getIsLicensed()` Gets the `int` value of `IsLicensed`
`abstract int` | `getIsLicensedState()` Gets the Metadata State of `IsLicensed`
`abstract AssociationList` | `getLicenses()` Gets the Association list of `Licenses`
`abstract AssociationList` | `getLicenses(boolean fGoToServer)` Gets the Associationlist of `Licenses`
`abstract AssociationList` | `getNamedServices()` Gets the Association list of `NamedServices`
`abstract AssociationList` | `getNamedServices(boolean fGoToServer)` Gets the Associationlist of `NamedServices`
`abstract AssociationList` | `getProviderConnections()` Gets the Association list of `ProviderConnections`
`abstract AssociationList` | `getProviderConnections(boolean fGoToServer)` Gets the Associationlist of `ProviderConnections`
`abstract AssociationList` | `getRegisteredEvents()` Gets the Association list of `RegisteredEvents`
`abstract AssociationList` | `getRegisteredEvents(boolean fGoToServer)` Gets the Associationlist of `RegisteredEvents`
`abstract AssociationList` | `getServiceNames()` Gets the Association list of `ServiceNames`
`abstract AssociationList` | `getServiceNames(boolean fGoToServer)` Gets the Associationlist of `ServiceNames`
`abstract AssociationList` | `getServiceTypes()` Gets the AssociationList of `ServiceTypes`
`abstract AssociationList` | `getServiceTypes(boolean fGoToServer)` Gets the Associationlist of `ServiceTypes`
`abstract AssociationList` | `getSourceConnections()` Gets the AssociationList of `SourceConnections`
`abstract AssociationList` | `getSourceConnections(boolean fGoToServer)` Gets the Associationlist of `SourceConnections`
`abstract AssociationList` | `getUsedByComponents()` Gets the AssociationList of `UsedByComponents`
`abstract AssociationList` | `getUsedByComponents(boolean fGoToServer)` Gets the Associationlist of `UsedByComponents`
`abstract AssociationList` | `getUsingComponents()` Gets the Association list of `UsingComponents`
`abstract AssociationList` | `getUsingComponents(boolean fGoToServer)` Gets the Associationlist of `UsingComponents`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `AssociatedMachine` `DescriptiveComponent` `ServiceTypes` `SourceConnections` `UsedByComponents`
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setAssociatedMachine(Machine inObject)` Sets the `AssociatedMachines` list 0th element to be `inObject`.
`abstract void` | `setAssociatedMachines(AssociationList list)` Sets the `AssociatedMachines` list to be `list`.
`abstract void` | `setAssociatedMachines(AssociationList list, int state)` Sets the `AssociatedMachines` list to be `list`.
`abstract void` | `setComputeTasks(AssociationList list)` Sets the `ComputeTasks` list to be `list`.
`abstract void` | `setComputeTasks(AssociationList inObjects, int state)` Sets the entire ComputeTasks list to match the passed in AssociationList, sets the state of the ComputeTasks
`abstract void` | `setDataPackages(AssociationList list)` Sets the `DataPackages` list to be `list`.
`abstract void` | `setDataPackages(AssociationList inObjects, int state)` Sets the entire DataPackages list to match the passed in AssociationList, sets the state of the DataPackages
`abstract void` | `setDescriptiveComponent(SoftwareComponent inObject)` Sets the `DescriptiveComponents` list 0th element to be `inObject`.
`abstract void` | `setDescriptiveComponents(AssociationList list)` Sets the `DescriptiveComponents` list to be `list`.
`abstract void` | `setDescriptiveComponents(AssociationList list, int state)` Sets the `DescriptiveComponents` list to be `list`.
`abstract void` | `setInitProcesses(AssociationList list)` Sets the `InitProcesses` list to be `list`.
`abstract void` | `setInitProcesses(AssociationList inObjects, int state)` Sets the entire InitProcesses list to match the passed in AssociationList, sets the state of the InitProcesses
`abstract void` | `setInstallationLocation(java.lang.String inInstallationLocation)` Sets the `InstallationLocation` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setInstallationLocation(java.lang.String inInstallationLocation, int state)` Sets the `InstallationLocation` Metadata State.
`abstract void` | `setInstallationLocationState(int state)` Sets the Metadata State of `InstallationLocation`.
`abstract void` | `setIsLicensed(int inIsLicensed)` Sets the `IsLicensed` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setIsLicensed(int inIsLicensed, int state)` Sets the `IsLicensed` Metadata State.
`abstract void` | `setIsLicensed(java.lang.String inIsLicensed)` Sets the `IsLicensed` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setIsLicensed(java.lang.String inIsLicensed, int state)` Sets the `IsLicensed` value and Metadata State.
`abstract void` | `setIsLicensedState(int state)` Sets the Metadata State of `IsLicensed`.
`abstract void` | `setLicenses(AssociationList list)` Sets the `Licenses` list to be `list`.
`abstract void` | `setLicenses(AssociationList inObjects, int state)` Sets the entire Licenses list to match the passed in AssociationList, sets the state of the Licenses
`abstract void` | `setNamedServices(AssociationList list)` Sets the `NamedServices` list to be `list`.
`abstract void` | `setNamedServices(AssociationList inObjects, int state)` Sets the entire NamedServices list to match the passed in AssociationList, sets the state of the NamedServices
`abstract void` | `setProviderConnections(AssociationList list)` Sets the `ProviderConnections` list to be `list`.
`abstract void` | `setProviderConnections(AssociationList inObjects, int state)` Sets the entire ProviderConnections list to match the passed in AssociationList, sets the state of the ProviderConnections
`abstract void` | `setRegisteredEvents(AssociationList list)` Sets the `RegisteredEvents` list to be `list`.
`abstract void` | `setRegisteredEvents(AssociationList inObjects, int state)` Sets the entire RegisteredEvents list to match the passed in AssociationList, sets the state of the RegisteredEvents
`abstract void` | `setServiceNames(AssociationList list)` Sets the `ServiceNames` list to be `list`.
`abstract void` | `setServiceNames(AssociationList inObjects, int state)` Sets the entire ServiceNames list to match the passed in AssociationList, sets the state of the ServiceNames
`abstract void` | `setServiceTypes(AssociationList list)` Sets the `ServiceTypes` list to be `list`.
`abstract void` | `setServiceTypes(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setSourceConnections(AssociationList list)` Sets the `SourceConnections` list to be `list`.
`abstract void` | `setSourceConnections(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setUsedByComponents(AssociationList list)` Sets the `UsedByComponents` list to be `list`.
`abstract void` | `setUsedByComponents(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setUsingComponents(AssociationList list)` Sets the `UsingComponents` list to be `list`.
`abstract void` | `setUsingComponents(AssociationList inObjects, int state)` Sets the entire UsingComponents list to match the passed in AssociationList, sets the state of the UsingComponents

Methods inherited from interface com.sas.metadata.remote.SoftwareComponent
`getClassIdentifier, getClassIdentifierMaxLength, getClassIdentifierState, getConfigureVersion, getConfigureVersionMaxLength, getConfigureVersionState, getCustomizedProperties, getCustomizedProperties, getCustomizedTransformations, getCustomizedTransformations, getCustomizedTypes, getCustomizedTypes, getDependentComponents, getDependentComponents, getDependsOnComponents, getDependsOnComponents, getDeployedComponents, getDeployedComponents, getEditedProperties, getEditedProperties, getEditedTypes, getEditedTypes, getImplementedObjects, getImplementedObjects, getMajor, getMajorState, getMinor, getMinorState, getPlatform, getPlatformMaxLength, getPlatformState, getProductIdentifier, getProductIdentifierMaxLength, getProductIdentifierState, getProductName, getProductNameMaxLength, getProductNameState, getPropertyGroups, getPropertyGroups, getSoftwareGroups, getSoftwareGroups, getSoftwareTrees, getSoftwareTrees, getSoftwareVersion, getSoftwareVersionMaxLength, getSoftwareVersionState, getSpecVendor, getSpecVendorMaxLength, getSpecVendorState, getSpecVersion, getSpecVersionMaxLength, getSpecVersionState, getValidatedProperties, getValidatedProperties, getValidatedTypes, getValidatedTypes, getVendor, getVendorIdentifier, getVendorIdentifierMaxLength, getVendorIdentifierState, getVendorMaxLength, getVendorState, setClassIdentifier, setClassIdentifier, setClassIdentifierState, setConfigureVersion, setConfigureVersion, setConfigureVersionState, setCustomizedProperties, setCustomizedProperties, setCustomizedTransformations, setCustomizedTransformations, setCustomizedTypes, setCustomizedTypes, setDependentComponents, setDependentComponents, setDependsOnComponents, setDependsOnComponents, setDeployedComponents, setDeployedComponents, setEditedProperties, setEditedProperties, setEditedTypes, setEditedTypes, setImplementedObjects, setImplementedObjects, setMajor, setMajor, setMajor, setMajor, setMajorState, setMinor, setMinor, setMinor, setMinor, setMinorState, setPlatform, setPlatform, setPlatformState, setProductIdentifier, setProductIdentifier, setProductIdentifierState, setProductName, setProductName, setProductNameState, setPropertyGroups, setPropertyGroups, setSoftwareGroups, setSoftwareGroups, setSoftwareTrees, setSoftwareTrees, setSoftwareVersion, setSoftwareVersion, setSoftwareVersionState, setSpecVendor, setSpecVendor, setSpecVendorState, setSpecVersion, setSpecVersion, setSpecVersionState, setValidatedProperties, setValidatedProperties, setValidatedTypes, setValidatedTypes, setVendor, setVendor, setVendorIdentifier, setVendorIdentifier, setVendorIdentifierState, setVendorState`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_ISLICENSED_NAME

    static final java.lang.String ATTRIBUTE_ISLICENSED_NAME

  Constant used for the name of the IsLicensed attribute.

  IsLicensed: This is a boolean value that indicates whether this is a licensed component or not.

  See Also:
    Constant Field Values

### ATTRIBUTE_INSTALLATIONLOCATION_NAME

    static final java.lang.String ATTRIBUTE_INSTALLATIONLOCATION_NAME

  Constant used for the name of the InstallationLocation attribute.

  InstallationLocation: This is a URL that can be used to install the component. It may be a URL for a jar file, or for some installation program.

  See Also:
    Constant Field Values

### ASSOCIATION_ASSOCIATEDMACHINE_NAME

    static final java.lang.String ASSOCIATION_ASSOCIATEDMACHINE_NAME

  Constant used for the name of the AssociatedMachine association.

  AssociatedMachine: The machine where software is deployed.

  See Also:
    Constant Field Values

### ASSOCIATION_DESCRIPTIVECOMPONENT_NAME

    static final java.lang.String ASSOCIATION_DESCRIPTIVECOMPONENT_NAME

  Constant used for the name of the DescriptiveComponent association.

  DescriptiveComponent: The SoftwareComponent that contains descriptive information about an application or component.

  See Also:
    Constant Field Values

### ASSOCIATION_SERVICETYPES_NAME

    static final java.lang.String ASSOCIATION_SERVICETYPES_NAME

  Constant used for the name of the ServiceTypes association.

  ServiceTypes: The services available from a deployed component.

  See Also:
    Constant Field Values

### ASSOCIATION_SOURCECONNECTIONS_NAME

    static final java.lang.String ASSOCIATION_SOURCECONNECTIONS_NAME

  Constant used for the name of the SourceConnections association.

  SourceConnections: This is the list of connection objects that describe how to connect to this deployed component.

  See Also:
    Constant Field Values

### ASSOCIATION_USEDBYCOMPONENTS_NAME

    static final java.lang.String ASSOCIATION_USEDBYCOMPONENTS_NAME

  Constant used for the name of the UsedByComponents association.

  UsedByComponents: The deployed components that use this component. For example, a SAS/ACCESS product is a DeployedComponent that is used by a SAS/SHARE server (another DeployedComponent) and a SAS/CONNECT server (another DeployedComponent), so SAS/SHARE and SAS/CONNECT would be in this list for a SAS/ACCESS object.

  See Also:
    Constant Field Values

### ASSOCIATION_COMPUTETASKS_NAME

    static final java.lang.String ASSOCIATION_COMPUTETASKS_NAME

  Constant used for the name of the ComputeTasks association.

  ComputeTasks: The list of transformations that may be executed by this deployed component.

  See Also:
    Constant Field Values

### ASSOCIATION_DATAPACKAGES_NAME

    static final java.lang.String ASSOCIATION_DATAPACKAGES_NAME

  Constant used for the name of the DataPackages association.

  DataPackages: The list of data packages accessible from this deployed component.

  See Also:
    Constant Field Values

### ASSOCIATION_INITPROCESSES_NAME

    static final java.lang.String ASSOCIATION_INITPROCESSES_NAME

  Constant used for the name of the InitProcesses association.

  InitProcesses: The list of initialization processes that must be run when this component is initialized.

  See Also:
    Constant Field Values

### ASSOCIATION_LICENSES_NAME

    static final java.lang.String ASSOCIATION_LICENSES_NAME

  Constant used for the name of the Licenses association.

  Licenses: The SAS licenses associated to this component.

  See Also:
    Constant Field Values

### ASSOCIATION_NAMEDSERVICES_NAME

    static final java.lang.String ASSOCIATION_NAMEDSERVICES_NAME

  Constant used for the name of the NamedServices association.

  NamedServices: The named services published by this component.

  See Also:
    Constant Field Values

### ASSOCIATION_PROVIDERCONNECTIONS_NAME

    static final java.lang.String ASSOCIATION_PROVIDERCONNECTIONS_NAME

  Constant used for the name of the ProviderConnections association.

  ProviderConnections: The list of connection objects this deployed component can use to access another component.

  See Also:
    Constant Field Values

### ASSOCIATION_REGISTEREDEVENTS_NAME

    static final java.lang.String ASSOCIATION_REGISTEREDEVENTS_NAME

  Constant used for the name of the RegisteredEvents association.

  RegisteredEvents: The events that are registered to this event broker.

  See Also:
    Constant Field Values

### ASSOCIATION_SERVICENAMES_NAME

    static final java.lang.String ASSOCIATION_SERVICENAMES_NAME

  Constant used for the name of the ServiceNames association.

  ServiceNames: The names used by a naming service for this component.

  See Also:
    Constant Field Values

### ASSOCIATION_USINGCOMPONENTS_NAME

    static final java.lang.String ASSOCIATION_USINGCOMPONENTS_NAME

  Constant used for the name of the UsingComponents association.

  UsingComponents: The deployed components that this component uses. For example, a SAS/CONNECT DeployedComponent could have an object for SAS/ACCESS for DB2 and an object for SAS/ACCESS for Oracle in this list.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `SoftwareComponent`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `AssociatedMachine`
  `DescriptiveComponent`
  `ServiceTypes`
  `SourceConnections`
  `UsedByComponents`

  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `SoftwareComponent`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsLicensed

    int getIsLicensed()
                      throws java.rmi.RemoteException

  Gets the `int` value of `IsLicensed`

  Returns:
    The `IsLicensed`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsLicensedState

    int getIsLicensedState()
                           throws java.rmi.RemoteException

  Gets the Metadata State of `IsLicensed`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getInstallationLocation

    java.lang.String getInstallationLocation()
                                             throws java.rmi.RemoteException

  Gets the `String` value of `InstallationLocation`

  Returns:
    The `InstallationLocation`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getInstallationLocationState

    int getInstallationLocationState()
                                     throws java.rmi.RemoteException

  Gets the Metadata State of `InstallationLocation`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getInstallationLocationMaxLength

    int getInstallationLocationMaxLength()
                                         throws java.rmi.RemoteException

  Gets the maximum length of `InstallationLocation`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getAssociatedMachines

    AssociationList getAssociatedMachines()
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the AssociationList of `AssociatedMachines`

  Returns:
    Returns the AssociationList of `AssociatedMachines` which can be of type:
    Machine
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getAssociatedMachine

    Machine getAssociatedMachine()
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the `Machine` for `AssociatedMachine`

  Returns:
    The `Machine` ( `null` if not set) of `AssociatedMachine`which can be of type:
    Machine
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDescriptiveComponents

    AssociationList getDescriptiveComponents()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the AssociationList of `DescriptiveComponents`

  Returns:
    Returns the AssociationList of `DescriptiveComponents` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getDescriptiveComponent

    SoftwareComponent getDescriptiveComponent()
                                              throws java.rmi.RemoteException,
                                                     MdException

  Gets the `SoftwareComponent` for `DescriptiveComponent`

  Returns:
    The `SoftwareComponent` ( `null` if not set) of `DescriptiveComponent`which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getServiceTypes

    AssociationList getServiceTypes()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the AssociationList of `ServiceTypes`

  Returns:
    Returns the AssociationList of `ServiceTypes` which can be of type:
    ServiceType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSourceConnections

    AssociationList getSourceConnections()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the AssociationList of `SourceConnections`

  Returns:
    Returns the AssociationList of `SourceConnections` which can be of type:
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUsedByComponents

    AssociationList getUsedByComponents()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the AssociationList of `UsedByComponents`

  Returns:
    Returns the AssociationList of `UsedByComponents` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getComputeTasks

    AssociationList getComputeTasks()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Association list of `ComputeTasks`

  Returns:
    The AssociationList of `ComputeTasks` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDataPackages

    AssociationList getDataPackages()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Association list of `DataPackages`

  Returns:
    The AssociationList of `DataPackages` which can be of type:
    DeployedDataPackage
    OLAPSchema
    DatabaseCatalog
    SASCatalog
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    SASFileRef
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getInitProcesses

    AssociationList getInitProcesses()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Association list of `InitProcesses`

  Returns:
    The AssociationList of `InitProcesses` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLicenses

    AssociationList getLicenses()
                                throws java.rmi.RemoteException,
                                       MdException

  Gets the Association list of `Licenses`

  Returns:
    The AssociationList of `Licenses` which can be of type:
    SASLicense
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getNamedServices

    AssociationList getNamedServices()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Association list of `NamedServices`

  Returns:
    The AssociationList of `NamedServices` which can be of type:
    NamedService
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getProviderConnections

    AssociationList getProviderConnections()
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Association list of `ProviderConnections`

  Returns:
    The AssociationList of `ProviderConnections` which can be of type:
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getRegisteredEvents

    AssociationList getRegisteredEvents()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Association list of `RegisteredEvents`

  Returns:
    The AssociationList of `RegisteredEvents` which can be of type:
    Event
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getServiceNames

    AssociationList getServiceNames()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Association list of `ServiceNames`

  Returns:
    The AssociationList of `ServiceNames` which can be of type:
    NamedService
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUsingComponents

    AssociationList getUsingComponents()
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Association list of `UsingComponents`

  Returns:
    The AssociationList of `UsingComponents` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getAssociatedMachines

    AssociationList getAssociatedMachines(boolean fGoToServer)
                                          throws java.rmi.RemoteException,
                                                 MdException

  Gets the Associationlist of `AssociatedMachines`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `AssociatedMachines` which can be of type:
    Machine
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDescriptiveComponents

    AssociationList getDescriptiveComponents(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `DescriptiveComponents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `DescriptiveComponents` which can be of type:
    SoftwareComponent
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getServiceTypes

    AssociationList getServiceTypes(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `ServiceTypes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ServiceTypes` which can be of type:
    ServiceType
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getSourceConnections

    AssociationList getSourceConnections(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `SourceConnections`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `SourceConnections` which can be of type:
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUsedByComponents

    AssociationList getUsedByComponents(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `UsedByComponents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `UsedByComponents` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getComputeTasks

    AssociationList getComputeTasks(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `ComputeTasks`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ComputeTasks` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getDataPackages

    AssociationList getDataPackages(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `DataPackages`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `DataPackages` which can be of type:
    DeployedDataPackage
    OLAPSchema
    DatabaseCatalog
    SASCatalog
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    SASFileRef
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getInitProcesses

    AssociationList getInitProcesses(boolean fGoToServer)
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Associationlist of `InitProcesses`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `InitProcesses` which can be of type:
    AbstractTransformation
    TransformationStep
    SyncStep
    TransformationActivity
    FeatureMap
    ColumnHierarchy
    Transformation
    ClassifierMap
    Select
    Join
    AbstractJob
    Job
    JFJob
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLicenses

    AssociationList getLicenses(boolean fGoToServer)
                                throws java.rmi.RemoteException,
                                       MdException

  Gets the Associationlist of `Licenses`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Licenses` which can be of type:
    SASLicense
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getNamedServices

    AssociationList getNamedServices(boolean fGoToServer)
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Associationlist of `NamedServices`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `NamedServices` which can be of type:
    NamedService
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getProviderConnections

    AssociationList getProviderConnections(boolean fGoToServer)
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the Associationlist of `ProviderConnections`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ProviderConnections` which can be of type:
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getRegisteredEvents

    AssociationList getRegisteredEvents(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `RegisteredEvents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `RegisteredEvents` which can be of type:
    Event
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getServiceNames

    AssociationList getServiceNames(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `ServiceNames`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ServiceNames` which can be of type:
    NamedService
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getUsingComponents

    AssociationList getUsingComponents(boolean fGoToServer)
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Associationlist of `UsingComponents`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `UsingComponents` which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setIsLicensed

    void setIsLicensed(int inIsLicensed)
                       throws java.rmi.RemoteException

  Sets the `IsLicensed` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsLicensed` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsLicensed

    void setIsLicensed(int inIsLicensed,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `IsLicensed` Metadata State.

  Parameters:
    `inIsLicensed` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsLicensed

    void setIsLicensed(java.lang.String inIsLicensed)
                       throws java.rmi.RemoteException

  Sets the `IsLicensed` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsLicensed` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsLicensed

    void setIsLicensed(java.lang.String inIsLicensed,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `IsLicensed` value and Metadata State.

  Parameters:
    `inIsLicensed` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsLicensedState

    void setIsLicensedState(int state)
                            throws java.rmi.RemoteException

  Sets the Metadata State of `IsLicensed`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setInstallationLocation

    void setInstallationLocation(java.lang.String inInstallationLocation)
                                 throws java.rmi.RemoteException

  Sets the `InstallationLocation` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inInstallationLocation` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setInstallationLocation

    void setInstallationLocation(java.lang.String inInstallationLocation,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the `InstallationLocation` Metadata State.

  Parameters:
    `inInstallationLocation` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setInstallationLocationState

    void setInstallationLocationState(int state)
                                      throws java.rmi.RemoteException

  Sets the Metadata State of `InstallationLocation`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedMachines

    void setAssociatedMachines(AssociationList list)
                               throws java.rmi.RemoteException

  Sets the `AssociatedMachines` list to be `list`. Object of which can be of type:
  Machine

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedMachines

    void setAssociatedMachines(AssociationList list,
                               int state)
                               throws java.rmi.RemoteException

  Sets the `AssociatedMachines` list to be `list`. Object of which can be of type:
  Machine

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedMachine

    void setAssociatedMachine(Machine inObject)
                              throws java.rmi.RemoteException

  Sets the `AssociatedMachines` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Machine
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDescriptiveComponents

    void setDescriptiveComponents(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `DescriptiveComponents` list to be `list`. Object of which can be of type:
  SoftwareComponent
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDescriptiveComponents

    void setDescriptiveComponents(AssociationList list,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the `DescriptiveComponents` list to be `list`. Object of which can be of type:
  SoftwareComponent
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDescriptiveComponent

    void setDescriptiveComponent(SoftwareComponent inObject)
                                 throws java.rmi.RemoteException

  Sets the `DescriptiveComponents` list 0th element to be `inObject`.

  Parameters:
    `inObject` - SoftwareComponent
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setServiceTypes

    void setServiceTypes(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `ServiceTypes` list to be `list`. Objects of which can be of type:
  ServiceType

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setServiceTypes

    void setServiceTypes(AssociationList inObjects,
                         int state)
                         throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceConnections

    void setSourceConnections(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `SourceConnections` list to be `list`. Objects of which can be of type:
  Connection
  SASClientConnection
  OpenClientConnection
  TCPIPConnection
  COMConnection

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceConnections

    void setSourceConnections(AssociationList inObjects,
                              int state)
                              throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsedByComponents

    void setUsedByComponents(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `UsedByComponents` list to be `list`. Objects of which can be of type:
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsedByComponents

    void setUsedByComponents(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setComputeTasks

    void setComputeTasks(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `ComputeTasks` list to be `list`. Objects of which can be of type:
  AbstractTransformation
  TransformationStep
  SyncStep
  TransformationActivity
  FeatureMap
  ColumnHierarchy
  Transformation
  ClassifierMap
  Select
  Join
  AbstractJob
  Job
  JFJob
  MiningResult

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setComputeTasks

    void setComputeTasks(AssociationList inObjects,
                         int state)
                         throws java.rmi.RemoteException

  Sets the entire ComputeTasks list to match the passed in AssociationList, sets the state of the ComputeTasks

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDataPackages

    void setDataPackages(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `DataPackages` list to be `list`. Objects of which can be of type:
  DeployedDataPackage
  OLAPSchema
  DatabaseCatalog
  SASCatalog
  RelationalSchema
  DatabaseSchema
  DataSourceName
  SASLibrary
  SecuredLibrary
  ContentLocation
  Text
  TextStore
  SASCatalogEntry
  File
  ArchiveFile
  ArchiveEntry
  Document
  Directory
  AnalyticContext
  Device
  Stream
  Memory
  Connection
  SASClientConnection
  OpenClientConnection
  TCPIPConnection
  COMConnection
  Email
  SASFileRef

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setDataPackages

    void setDataPackages(AssociationList inObjects,
                         int state)
                         throws java.rmi.RemoteException

  Sets the entire DataPackages list to match the passed in AssociationList, sets the state of the DataPackages

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setInitProcesses

    void setInitProcesses(AssociationList list)
                          throws java.rmi.RemoteException

  Sets the `InitProcesses` list to be `list`. Objects of which can be of type:
  AbstractTransformation
  TransformationStep
  SyncStep
  TransformationActivity
  FeatureMap
  ColumnHierarchy
  Transformation
  ClassifierMap
  Select
  Join
  AbstractJob
  Job
  JFJob
  MiningResult

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setInitProcesses

    void setInitProcesses(AssociationList inObjects,
                          int state)
                          throws java.rmi.RemoteException

  Sets the entire InitProcesses list to match the passed in AssociationList, sets the state of the InitProcesses

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLicenses

    void setLicenses(AssociationList list)
                     throws java.rmi.RemoteException

  Sets the `Licenses` list to be `list`. Objects of which can be of type:
  SASLicense

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLicenses

    void setLicenses(AssociationList inObjects,
                     int state)
                     throws java.rmi.RemoteException

  Sets the entire Licenses list to match the passed in AssociationList, sets the state of the Licenses

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNamedServices

    void setNamedServices(AssociationList list)
                          throws java.rmi.RemoteException

  Sets the `NamedServices` list to be `list`. Objects of which can be of type:
  NamedService

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNamedServices

    void setNamedServices(AssociationList inObjects,
                          int state)
                          throws java.rmi.RemoteException

  Sets the entire NamedServices list to match the passed in AssociationList, sets the state of the NamedServices

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProviderConnections

    void setProviderConnections(AssociationList list)
                                throws java.rmi.RemoteException

  Sets the `ProviderConnections` list to be `list`. Objects of which can be of type:
  Connection
  SASClientConnection
  OpenClientConnection
  TCPIPConnection
  COMConnection

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setProviderConnections

    void setProviderConnections(AssociationList inObjects,
                                int state)
                                throws java.rmi.RemoteException

  Sets the entire ProviderConnections list to match the passed in AssociationList, sets the state of the ProviderConnections

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRegisteredEvents

    void setRegisteredEvents(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `RegisteredEvents` list to be `list`. Objects of which can be of type:
  Event

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRegisteredEvents

    void setRegisteredEvents(AssociationList inObjects,
                             int state)
                             throws java.rmi.RemoteException

  Sets the entire RegisteredEvents list to match the passed in AssociationList, sets the state of the RegisteredEvents

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setServiceNames

    void setServiceNames(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `ServiceNames` list to be `list`. Objects of which can be of type:
  NamedService

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setServiceNames

    void setServiceNames(AssociationList inObjects,
                         int state)
                         throws java.rmi.RemoteException

  Sets the entire ServiceNames list to match the passed in AssociationList, sets the state of the ServiceNames

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsingComponents

    void setUsingComponents(AssociationList list)
                            throws java.rmi.RemoteException

  Sets the `UsingComponents` list to be `list`. Objects of which can be of type:
  DeployedComponent
  ConfiguredComponent
  ServiceComponent
  ServerComponent
  LogicalServer
  ServerContext

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setUsingComponents

    void setUsingComponents(AssociationList inObjects,
                            int state)
                            throws java.rmi.RemoteException

  Sets the entire UsingComponents list to match the passed in AssociationList, sets the state of the UsingComponents

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.